Bug 144279 - Java jre IBMJava2-142 fails on FC3 kernel 681
Java jre IBMJava2-142 fails on FC3 kernel 681
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 10:41 EST by G.S. Link
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:14:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.S. Link 2005-01-05 10:41:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
An attributed string drops all but the first letter when used in a
Java program.  This happens with all jres from 1.3 to 1.5 and with
those from both IBM and Sun.

Version-Release number of selected component (if applicable):
681

How reproducible:
Always

Steps to Reproduce:
1.Create an attributed string with font information
2.Display it
3.
    

Actual Results:  Only the first character is displayed

Expected Results:  String should display

Additional info:

So far we have not been able to trace this to a particular call but
several programs are failing with customers.  This did not happen with
RH9.  Both RH9 and FC3 were tried and only FC3 failed.
Comment 1 Sitsofe Wheeler 2005-01-05 12:13:22 EST
I suspect you will have to go to IBM/Sun and talk to them about the problem
since it could simply be a bug in the JREs (perhaps due to reliance on bugs in
older versions of glibc for example). Without the source code to the JREs
there's no way any one else to quickly verify where the problem is though...
Comment 2 G.S. Link 2005-01-06 09:51:02 EST
The source for both the Sun and the IBM jre are available.  Most of the source
is in a jar file with the distribution download.  I suspected the problem might
be due to missing fonts but that turned out not to be true.  I will trace the
failing code back to Linux today and see just where the failure is coming from.
 I suspect both IBM and Sun are going to point to RH.  I just want the problem
fixed.
Comment 3 G.S. Link 2005-01-07 10:50:19 EST
Further testing shows that all but one of the Sun jres also fails.  
The one jre that doesn't fail is the latest 1.4.2 beta.  The 1.5 beta 
is worse than the 1.4.1 release.  I will attempt to get IBM and Sun 
involved but this appears to be a problem in a Linux library. 
Comment 4 Dave Jones 2005-07-15 16:39:00 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 21:14:03 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.